local SheepMeatProduction = ...

-- Register image assets
SheepMeatProduction:registerAssetId("icons/mutton.png", "ICON_SHEEP_DAIRY_MUTTON")

SheepMeatProduction:register({
	DataType = "RESOURCE",
	Id = "SHEEP_DAIRY_MUTTON",
	ResourceName = "SHEEP_DAIRY_MUTTON",
	Icon = "ICON_SHEEP_DAIRY_MUTTON",
	ResourceTypeList = { "FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 2 }
})

SheepMeatProduction:register({
		DataType = "BUILDING_FUNCTION_WORKPLACE",
                Id = "SMOKE_HOUSE_V3_MUTTON_FUNCTION",
                Name = "SMOKE_HOUSE_V3_MUTTON_FUNCTION_NAME",
                TypeList = { "FOOD" },
                IsOverrideCapacity = true,
                CapacityPerSlot = 50,
		WorkerCapacity = 1,
                RelatedJob = { Job = "SHEPHERD", Behavior = "WORK_BEHAVIOR" },
                InputInventoryCapacity = {
			{ Resource = "SHEEP_DAIRY_MUTTON", Quantity = 50 },
                	{ Resource = "SALT2", Quantity = 50 },
                	{ Resource = "WOOD", Quantity = 50 }
                },
                ResourceListNeeded = {
                	{ Resource = "SHEEP_DAIRY_MUTTON", Quantity = 1 },
                	{ Resource = "SALT2", Quantity = 1 },
                	{ Resource = "WOOD", Quantity = 2 }
                },
                ResourceProduced = {
			{ Resource = "SMOKE_HOUSE_V3_SALTING", Quantity = 4 }
                }
})


SheepMeatProduction:override({
    Id = "SMOKE_HOUSE_V3_FUNCTION_LIST",
    AssetFunctionList = {
                Action = "APPEND",
		"SMOKE_HOUSE_V3_MUTTON_FUNCTION"
    }
})


SheepMeatProduction:register({
		DataType = "BUILDING_FUNCTION_LIVESTOCK_FARM",
                Id = "SHEEP_DAIRY_MUTTON_FUNCTION",
                Name = "SHEEP_DAIRY_MUTTON_FUNCTION_NAME",
		WorkerCapacity = 1,
		RelatedJob = { 
			Job = "SHEPHERD",
			Behavior = "WORK_BEHAVIOR"
		},
		ResourceProduced = {
			{ Resource = "SHEEP_DAIRY_MUTTON", Quantity = 1 }
		},
                SpawningLivestock = "PREFAB_LIVESTOCK_SHEEP",
                SpawnLivestockButtonText = "SHEEP_DAIRY_MILK_SPAWN_TEXT",
                RemoveLivestockButtonText = "SHEEP_DAIRY_MILK_REMOVE_TEXT"
})

SheepMeatProduction:override({
		DataType = "BUILDING_FUNCTION_LIST",
                Id = "SHEEP_DAIRY_FUNCTION_LIST",
                AssetFunctionList = {
                Action = "APPEND",
                        "SHEEP_DAIRY_MUTTON_FUNCTION"
                }
})


